openSUSE Security Update : cloud-init (openSUSE-2019-2621)

medium Nessus Plugin ID 131687

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for cloud-init to version 19.2 fixes the following issues :

Security issue fixed :

- CVE-2019-0816: Fixed the unnecessary extra ssh keys that were added to authorized_keys (bsc#1129124).

Non-security issues fixed :

- Short circuit the conditional for identifying the sysconfig renderer (bsc#1154092, bsc#1142988).

- If /etc/resolv.conf is a symlink, break it. This will avoid netconfig from clobbering the changes cloud-init applied (bsc#1151488).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected cloud-init packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1099358

https://bugzilla.opensuse.org/show_bug.cgi?id=1129124

https://bugzilla.opensuse.org/show_bug.cgi?id=1136440

https://bugzilla.opensuse.org/show_bug.cgi?id=1142988

https://bugzilla.opensuse.org/show_bug.cgi?id=1144363

https://bugzilla.opensuse.org/show_bug.cgi?id=1151488

https://bugzilla.opensuse.org/show_bug.cgi?id=1154092

Plugin Details

Severity: Medium

ID: 131687

File Name: openSUSE-2019-2621.nasl

Version: 1.4

Type: local

Agent: unix

Published: 12/4/2019

Updated: 1/19/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.1

CVSS v2

Risk Factor: Low

Base Score: 1.9

Temporal Score: 1.4

Vector: AV:L/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 5.1

Temporal Score: 4.5

Vector: CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:cloud-init, p-cpe:/a:novell:opensuse:cloud-init-config-suse, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 12/3/2019

Vulnerability Publication Date: 4/9/2019

Reference Information

CVE: CVE-2019-0816